Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class RemoteCommitEvent

    java.lang.Object
      |
      +--kodo.event.RemoteCommitEvent

All Implemented Interfaces:
  Externalizable, Serializable

public class RemoteCommitEvent
extends Object
implements Externalizable

Utility structure to hold the IDs of additions, updates, and deletes. This event type is also fully serializable for remote communication.

Since:
  3.0
See Also:
  Serialized Form

Constructor Summary
`RemoteCommitEvent()` Constructor used during externalization.
`RemoteCommitEvent(Collection adds, Collection updates, Collection deletes)` Constructor.

Method Summary
`Collection` | `getAddedObjectIds()` Return the set of object IDs for added objects.
`Collection` | `getDeletedObjectIds()` Return the set of object IDs for deleted objects.
`Collection` | `getUpdatedObjectIds()` Return the set of object IDs for updated objects.
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteCommitEvent

    public RemoteCommitEvent()

  Constructor used during externalization.

### RemoteCommitEvent

    public RemoteCommitEvent(Collection adds,
                             Collection updates,
                             Collection deletes)

  Constructor. All collections will be proxied with unmodifiable views.
  Parameters:
    `adds` - set of object IDs for added instances
    `updates` - set of object IDs for updated instances
    `deletes` - set of object IDs for deleted instances

Method Detail

### getAddedObjectIds

    public Collection getAddedObjectIds()

  Return the set of object IDs for added objects.

### getUpdatedObjectIds

    public Collection getUpdatedObjectIds()

  Return the set of object IDs for updated objects.

### getDeletedObjectIds

    public Collection getDeletedObjectIds()

  Return the set of object IDs for deleted objects.

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

  Specified by:
    `readExternal` in interface `Externalizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.